<template>
  <section id="checkbox-group">
    <div class="box-header">
      <div>
        <input
          type="checkbox"
          v-model="selectedCategory"
          value="first"
          id="first"
        />
        <label for="first">first</label>
      </div>
      <div>
        <input
          type="checkbox"
          v-model="selectedCategory"
          value="secound"
          id="secound"
        />
        <label for="secound">secound</label>
      </div>
      <div>
        <input
          type="checkbox"
          v-model="selectedCategory"
          value="third"
          id="third"
        />
        <label for="third">third</label>
      </div>
    </div>
    <div class="items">
      <div v-for="(item, index) in Items" :key="index" class="item">
        <div>{{ item.category }}</div>
        <div>{{ item.number }}</div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  data() {
    return {
      selectedCategory: [],
      items: [
        {
          category: 'first',
          number: 22,
        },
        {
          category: 'first',
          number: 22,
        },
        {
          category: 'first',
          number: 22,
        },
        {
          category: 'first',
          number: 22,
        },
        {
          category: 'first',
          number: 22,
        },
        {
          category: 'secound',
          number: 22,
        },
        {
          category: 'secound',
          number: 22,
        },
        {
          category: 'secound',
          number: 22,
        },
        {
          category: 'secound',
          number: 22,
        },
        {
          category: 'secound',
          number: 22,
        },
        {
          category: 'third',
          number: 22,
        },
      ],
    };
  },
  computed: {
    Items() {
      let items = this.items;
      if (this.selectedCategory.length > 0) {
        items = items.filter((item) =>
          this.selectedCategory.includes(item.category)
        );
      }
      return items;
    },
  },
};
</script>

<style scoped>
#checkbox-group {
  max-width: 550px;
  min-width: 350px;
  margin: 0 auto;
  background: #172033;
  color: #fff;
}
#checkbox-group input,
#checkbox-group label {
  cursor: pointer;
}
.box-header {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  border-bottom: 1px solid #dddddd52;
}
.item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 8px 24px;
  cursor: pointer;
}

.item:hover {
  background: #354f86;
}
</style>
